ServerType standalone
ServerTokens Prod
ServerRoot "/usr/local/apache/1.3.32/"
PidFile /usr/local/apache/logs/httpd.pid
ScoreBoardFile /usr/local/apache/logs/httpd.scoreboard
Timeout 300
#RLimitCPU 30 30
#RLimitMEM 30000000 30000000
KeepAlive Off
MaxKeepAliveRequests 250
KeepAliveTimeout 2
MinSpareServers 10
MaxSpareServers 25
StartServers 25
MaxClients 350
MaxRequestsPerChild 100
LoadModule ssl_module         libexec/libssl.so
LoadModule php4_module        libexec/libphp4310.so
LoadModule owa_module 	      libexec/mod_owa.so
#LoadModule perl_module        libexec/libperl.so

ScriptAlias /phpft-cgi /usr/local/php/5.0.2-cgi/bin/php
AddHandler phpft .phpft
Action phpft /phpft-cgi

Port 80
Listen 80
Listen 81
Listen 443
User www
Group web
ServerAdmin webmaster@amgate.com
ServerName everest.amgate.com
DocumentRoot "/www/htdocs"
<Directory />
    Options FollowSymLinks
    AllowOverride AuthConfig
    #deny from .ba .fi .cn .lv .pl .ro .ru .kp .kr .tk
</Directory>
<Directory "/www/htdocs">
    Options -Indexes FollowSymLinks MultiViews
    AllowOverride AuthConfig
</Directory>
<IfModule mod_userdir.c>
    UserDir Disabled
</IfModule>
<IfModule mod_dir.c>
    DirectoryIndex _index.php _index.html index.html index.php index.htm index.pl
</IfModule>
AccessFileName .htaccess
<Files ~ "^\.ht">
    Order allow,deny
    Deny from all
    Satisfy All
</Files>
UseCanonicalName On
<IfModule mod_mime.c>
    TypesConfig /usr/local/apache/1.3.31/conf/mime.types
</IfModule>
DefaultType text/plain
<IfModule mod_mime_magic.c>
    MIMEMagicFile /usr/local/apache/conf/magic
</IfModule>
HostnameLookups Off
ErrorLog /usr/local/apache/logs/error_log
LogLevel warn
LogFormat "%a %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-Agent}i\"" combined
LogFormat "%a %l %u %t \"%r\" %>s %b" common
LogFormat "%{Referer}i -> %U" referer
LogFormat "%{User-agent}i" agent
LogFormat "%{Host}i %a %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-Agent}i\" " vhostlog
LogFormat "%{Host}i#%{USR_ID}e#%a" dmclflog
LogFormat "%{%Y%m%d%H%M%S}t\" \"%{Host}i\" \"%q\" \"%a\" \"%{Referer}i\" \"%{User-Agent}i\" \"%p\" \"%U\" \"%u\" \"%b\" \"%{USR_ID}e\" \"%{ORG_ID}e\" \"%{Content-Type}o\" \"%>s" tsta0203
LogFormat "%{%Y%m%d%H%M%S}t|\t%{Host}i|\t%{SESSION_ID}e|\t%q|\t%a|\t%{Referer}i|\t%{User-Agent}i|\t%p|\t%U|\t%u|\t%b|\t%{USR_ID}e|\t%{Content-Type}o|\t%>s%{MOD_STRING}e" tsta0300


ExtendedStatus        on 
<Location /server-status> 
     SetHandler server-status 
    Order allow,deny
    Allow from 82.93.53.174
    Allow from 194.109.149.155
    Allow from 194.109.149.149
    Allow from 80.127.191.100
</Location>


CustomLog /usr/local/apache/logs/access_log common
#CustomLog "| /www/troyce/tsta0300/parse.pl" tsta0300
ServerSignature Off
<IfModule mod_alias.c>
    Alias /icons/ "/www/icons/"
    <Directory "/www/icons">
        Options -Indexes MultiViews
        AllowOverride None
	#Deny from .ba .fi .cn .lv .pl .ro .ru .kp .kr .tk
    </Directory>
    Alias /manual/ "/www/htdocs/manual/"
    <Directory "/www/htdocs/manual">
        Options -Indexes FollowSymlinks MultiViews
        AllowOverride None
        Order allow,deny
        Allow from all
    </Directory>
    Alias /htmlcontrols/ "/www/lib/htmlcontrols-1.0/"
    <Directory "/www/lib/htmlcontrols-1.0">
        Options -Indexes MultiViews
        AllowOverride None
        Order allow,deny
        Allow from all
    </Directory>
    Alias /uri/ "/www/troyce/tich0105/uri/"
    <Directory "/www/troyce/tich0105/uri/">
        Options -Indexes MultiViews
        AllowOverride None
        Order allow,deny
        Allow from all
    </Directory>
    Alias /uli/ "/www/troyce/tich0105/uli/"
    <Directory "/www/troyce/tich0105/uli/">
        Options -Indexes MultiViews
        AllowOverride None
        Order allow,deny
        Allow from all
    </Directory>
    Alias /mod_bin/ "/www/troyce/mod_bin/"
    <Directory "/www/troyce/mod_bin/">
        Options -Indexes MultiViews
        AllowOverride None
        Order allow,deny
        Allow from all
    </Directory>
    Alias /mod_scripts/ "/www/troyce/mod_scripts/scripts/"
    <Directory "/www/troyce/mod_scripts/scripts/">
        Options -Indexes MultiViews
        AllowOverride None
        Order allow,deny
        Allow from all
    </Directory>
    ScriptAlias /cgi-bin/ "/www/cgi-bin/"
    ScriptAlias /cgi-bin/ "/www/cgi-bin/"
    Alias /bin/ "/www/bin/"
    <Directory "/www/cgi-bin">
        AllowOverride None
        Options None
        Order allow,deny
        Allow from all
    </Directory>
</IfModule>
<IfModule mod_autoindex.c>
    IndexOptions FancyIndexing
    AddIconByEncoding (CMP,/icons/compressed.gif) x-compress x-gzip
    AddIconByType (TXT,/icons/text.gif) text/*
    AddIconByType (IMG,/icons/image2.gif) image/*
    AddIconByType (SND,/icons/sound2.gif) audio/*
    AddIconByType (VID,/icons/movie.gif) video/*
    AddIcon /icons/binary.gif .bin .exe
    AddIcon /icons/binhex.gif .hqx
    AddIcon /icons/tar.gif .tar
    AddIcon /icons/world2.gif .wrl .wrl.gz .vrml .vrm .iv
    AddIcon /icons/compressed.gif .Z .z .tgz .gz .zip
    AddIcon /icons/a.gif .ps .ai .eps
    AddIcon /icons/layout.gif .html .shtml .htm .pdf
    AddIcon /icons/text.gif .txt
    AddIcon /icons/c.gif .c
    AddIcon /icons/p.gif .pl .py
    AddIcon /icons/f.gif .for
    AddIcon /icons/dvi.gif .dvi
    AddIcon /icons/uuencoded.gif .uu
    AddIcon /icons/script.gif .conf .sh .shar .csh .ksh .tcl
    AddIcon /icons/tex.gif .tex
    AddIcon /icons/bomb.gif core
    AddIcon /icons/back.gif ..
    AddIcon /icons/hand.right.gif README
    AddIcon /icons/folder.gif ^^DIRECTORY^^
    AddIcon /icons/blank.gif ^^BLANKICON^^
    DefaultIcon /icons/unknown.gif
    ReadmeName README
    HeaderName HEADER
</IfModule>
<IfModule mod_mime.c>
    AddEncoding x-compress Z
    AddEncoding x-gzip gz tgz
    AddLanguage da .dk
    AddLanguage nl .nl
    AddLanguage en .en
    AddLanguage et .ee
    AddLanguage fr .fr
    AddLanguage de .de
    AddLanguage el .el
    AddLanguage he .he
    AddCharset ISO-8859-8 .iso8859-8
    AddLanguage it .it
    AddLanguage ja .ja
    AddCharset ISO-2022-JP .jis
    AddLanguage kr .kr
    AddCharset ISO-2022-KR .iso-kr
    AddLanguage nn .nn
    AddLanguage no .no
    AddLanguage pl .po
    AddCharset ISO-8859-2 .iso-pl
    AddLanguage pt .pt
    AddLanguage pt-br .pt-br
    AddLanguage ltz .lu
    AddLanguage ca .ca
    AddLanguage es .es
    AddLanguage sv .sv
    AddLanguage cz .cz
    AddLanguage ru .ru
    AddLanguage zh-tw .tw
    AddLanguage tw .tw
    AddCharset Big5         .Big5    .big5
    AddCharset WINDOWS-1251 .cp-1251
    AddCharset CP866        .cp866
    AddCharset ISO-8859-5   .iso-ru
    AddCharset KOI8-R       .koi8-r
    AddCharset UCS-2        .ucs2
    AddCharset UCS-4        .ucs4
    AddCharset UTF-8        .utf8
    <IfModule mod_negotiation.c>
        LanguagePriority en da nl et fr de el it ja kr no pl pt pt-br ru ltz ca es sv tw
    </IfModule>
    AddType application/x-tar .tgz
    AddType image/x-icon .ico
</IfModule>
  Alias /missing/ "/www/errordocument/"
<IfModule mod_setenvif.c>
    BrowserMatch "Mozilla/2" nokeepalive
    BrowserMatch "MSIE 4\.0b2;" nokeepalive downgrade-1.0 force-response-1.0
    BrowserMatch "RealPlayer 4\.0" force-response-1.0
    BrowserMatch "Java/1\.0" force-response-1.0
    BrowserMatch "JDK/1\.0" force-response-1.0
</IfModule>

<Files ~ "\.log$">
Order allow,deny
Deny from all
</Files>

#NameVirtualHost 194.109.149.151:80
NameVirtualHost 194.109.149.140:80
NameVirtualHost 194.109.149.140:81
NameVirtualHost 194.109.149.140:443
#NameVirtualHost 194.109.149.139:443
#NameVirtualHost 194.109.149.139:80
#NameVirtualHost 194.109.149.138:80
#NameVirtualHost 194.109.149.198:80


AddType application/x-x509-ca-cert .crt
AddType application/x-pkcs7-crl    .crl
<IfModule mod_ssl.c>
SSLPassPhraseDialog  builtin
SSLSessionCache         dbm:/usr/local/apache/logs/ssl_scache
SSLSessionCacheTimeout  300
SSLMutex  file:/usr/local/apache/logs/ssl_mutex
SSLRandomSeed startup builtin
SSLRandomSeed connect builtin
SSLLog      /usr/local/apache/logs/ssl_engine_log
SSLLogLevel info
</IfModule>

    #
    # Troyce statistics accessabillity
    #
    Alias /stats/ "/www/troyce/tsta0300/"
    <Directory "/www/troyce/tstat0300/">
         Options -Indexes MultiViews
         Order allow,deny
         Allow from all
    </Directory>


<VirtualHost 194.109.149.140:443>
DocumentRoot "/www/htdocs"
ServerName everest.amgate.com
ServerAdmin root@everest.amgate.com
ErrorLog /usr/local/apache/logs/error_log
TransferLog /usr/local/apache/logs/access_log
SSLCertificateFile    /usr/local/apache/crt/backoffice/www_backoffice-online_nl.crt
SSLCertificateKeyFile /usr/local/apache/crt/backoffice/www.backoffice-online.nl.key_zonder_passphrase
SSLCACertificateFile /usr/local/apache/crt/backoffice/AddTrustExternalCARoot.crt
SSLCACertificateFile /usr/local/apache/crt/backoffice/PositiveSSLCA.crt
SSLCACertificateFile /usr/local/apache/crt/backoffice/UTNAddTrustServerCA.crt
SSLEngine on
SSLCipherSuite ALL:!ADH:!EXPORT56:RC4+RSA:+HIGH:+MEDIUM:+LOW:+SSLv2:+EXP:+eNULL
#SSLCertificateFile /usr/local/apache/conf/ssl.crt/server.crt
#SSLCertificateKeyFile /usr/local/apache/conf/ssl.key/server.key
<Files ~ "\.(cgi|shtml|phtml|php3?)$">
    SSLOptions +StdEnvVars
</Files>
<Directory "/www/cgi-bin">
    SSLOptions +StdEnvVars
</Directory>
SetEnvIf User-Agent ".*MSIE.*" \
         nokeepalive ssl-unclean-shutdown \
         downgrade-1.0 force-response-1.0
CustomLog /usr/local/apache/logs/ssl_request_log \
          "%t %a %{SSL_PROTOCOL}x %{SSL_CIPHER}x \"%r\" %b"
</VirtualHost>                                  
AddType application/x-httpd-php .php
  Alias /uri/ "/www/troyce/tich0105/uri/"
  <Directory "/www/troyce/tich0105/uri/">
      Options -Indexes MultiViews
      AllowOverride None
	#Deny from .ba .fi .cn .lv .pl .ro .ru .kp .kr .tk
  </Directory>

include /usr/local/apache/conf/virtual_hosts.conf
#include /usr/local/apache/conf/virtual_hosts.conf_tunaritmp
